#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <linux/kdev_t.h>
#include <rsbac/types.h>
#include <rsbac/syscalls.h>
#include <rsbac/getname.h>
#include <rsbac/error.h>

int main(int argc, char ** argv)
{
  int res = 0;
  int correct;
  int check_inode;
  char * progname;

  progname = argv[0];
  if (argc == 3)
    {
      correct=strtol(argv[1],0,0);
      check_inode=strtol(argv[2],0,0);
      res = rsbac_check(correct, check_inode);
      error_exit(res);
    }
  else
    {
      printf("%s (RSBAC %s)\n***\n", argv[0], VERSION);
      printf("Use: %s correct check_inode\n", progname);
      printf("     if correct = 0 do not correct errors\n");
      printf("     if correct = 1 correct errors\n");
      printf("     if correct = 2 correct more\n");
      printf("     if check_inode = 0 do not check inode numbers\n");
      printf("     if check_inode = 1 also check inode numbers\n");
    }
  return (res);
}
